glibmm: Glib::Variant< long > Class Reference

glibmm 2.89.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Variant< long > Class Reference
Variant Data Types

Specialization of Glib::Variant containing a long type. More...

`#include <glibmm/variant_basictypes.h>`

Inheritance diagram for Glib::Variant< long >:
[legend]

## Public Types
using | CType = gint64
using | CppType

## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant * castitem, bool take_a_reference=false)
| GVariant constructor.
long | get () const
| Gets the value of the Glib::Variant<long>.
Public Member Functions inherited from Glib::VariantBase
| VariantBase ()
| Constructs an invalid object.
| VariantBase (GVariant * castitem, bool make_a_copy=false)
| VariantBase (const VariantBase & src)
VariantBase & | operator= (const VariantBase & src)
| VariantBase (VariantBase && other) noexcept
VariantBase & | operator= (VariantBase && other) noexcept
| ~VariantBase () noexcept
void | swap (VariantBase & other) noexcept
GVariant * | gobj ()
const GVariant * | gobj () const
GVariant * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.
| operator bool () const
| Test whether the Variant has an underlying instance.
void | init (const GVariant * cobject, bool take_a_reference=false)
| Replace the underlying GVariant.
VariantType | get_type () const
| Determines the type of value.
std::string | get_type_string () const
| Returns the type string of value.
bool | is_floating () const
| Checks whether value has a floating reference count.
bool | is_of_type (const VariantType & type) const
| Checks if a value has a type matching the provided type.
bool | is_container () const
| Checks if value is a container.
GVariantClass | classify () const
| Classifies value according to its top-level type.
gsize | get_size () const
| Determines the number of bytes that would be required to store value with g_variant_store().
gconstpointer | get_data () const
| Returns a pointer to the serialized form of a Variant instance.
Glib::RefPtr< const Glib::Bytes > | get_data_as_bytes () const
| Returns a pointer to the serialized form of a Variant instance.
void | store (gpointer data) const
| Stores the serialized form of value at data.
Glib::ustring | print (bool type_annotate=false) const
| Pretty-prints value in the format understood by g_variant_parse().
guint | hash () const
| Generates a hash value for a Variant instance.
bool | equal (const VariantBase & other) const
| Checks if *this and other have the same type and value.
bool | operator== (const VariantBase & other) const
| Checks if *this and other have the same type and value.
bool | operator!= (const VariantBase & other) const
| Checks if *this and other have the same type and value.
bool | operator< (const VariantBase & other) const =delete
| Ordering relational operators.
bool | operator<= (const VariantBase & other) const =delete
| See operator<().
bool | operator> (const VariantBase & other) const =delete
| See operator<().
bool | operator>= (const VariantBase & other) const =delete
| See operator<().
void | get_normal_form (VariantBase & result) const
| Gets a VariantBase instance that has the same value as this variant and is trusted to be in normal form.
bool | is_normal_form () const
| Checks if value is in normal form.
void | byteswap (VariantBase & result) const
| Performs a byteswapping operation on the contents of this variant.
bool | check_format_string (const std::string & format_string, bool copy_only=false) const
| Checks if calling g_variant_get() with format_string on value would be valid from a type-compatibility standpoint.
template<typename ValueType>
ValueType | get_dynamic () const
| Cast to a specific variant type and get the value.

## Static Public Member Functions
static const VariantType & | variant_type ()
| Gets the Glib::VariantType.
static Variant< long > | create (long data)
| Creates a new Glib::Variant<long>.
Static Public Member Functions inherited from Glib::VariantBase
template<class V_CastTo>
static V_CastTo | cast_dynamic (const VariantBase & v)
| Cast to a specific variant type.
template<>
VariantContainerBase | cast_dynamic (const VariantBase & v)

## Additional Inherited Members
Protected Attributes inherited from Glib::VariantBase
GVariant * | gobject_
Related Symbols inherited from Glib::VariantBase
template<typename T>
Variant< T > | create_variant (const T & data)
| Creates a Glib::Variant instance.
void | swap (VariantBase & lhs, VariantBase & rhs) noexcept
Glib::VariantBase | wrap (GVariant * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Specialization of Glib::Variant containing a long type.

## Member Typedef Documentation

## ◆ CppType

using Glib::Variant< long >::CppType

## ◆ CType

using Glib::Variant< long >::CType = gint64

## Constructor & Destructor Documentation

## ◆ Variant() [1/2]

Glib::Variant< long >::Variant | ( |  | ) |
| inline

Default constructor.

## ◆ Variant() [2/2]

Glib::Variant< long >::Variant | ( | GVariant< long > * | castitem,
|  | bool | take_a_reference = false )
| inlineexplicit

GVariant constructor.

Parameters

  castitem | The GVariant to wrap.
  take_a_reference | Whether to take an extra reference of the GVariant or not (not taking one could destroy the GVariant with the wrapper).

## Member Function Documentation

## ◆ create()

Variant< long > Glib::Variant< long >::create | ( | long | data | ) |
| static

Creates a new Glib::Variant<long>.

Parameters

  data | The value of the new Glib::Variant<long>.

Returns
  The new Glib::Variant<long>.

## ◆ get()

long Glib::Variant< long >::get | ( |  | ) | const

Gets the value of the Glib::Variant<long>.

Returns
  The long value of the Glib::Variant<long>.

## ◆ variant_type()

const VariantType & Glib::Variant< long >::variant_type | ( |  | ) |
| static

Gets the Glib::VariantType.

Returns
  The Glib::VariantType.